<?php

// $Id: openid_sync_client.admin.inc,v 1.1.2.1 2010/03/07 07:09:24 inadarei Exp $

/**
* @file
* Admin callbacks for the OpenID Sync Client module.
*/

/**
 * Implementation of hook_admin_settings()
 */
function openid_sync_client_settings_form(&$form_state) {

  $form = array();
  
  $form['openid_sync_client_url_of_server'] = array(
    '#type' => 'textfield',
    '#title' => t('URL of the OpenID Synchronization Server'),
    '#description' => t('Please indicate the root URL of the corresponding Drupal installation, e.g.: http://openidlisting.yourserver.com or http://somedomain.com/drupal. 
                        <p><b>ATTENTION:</b> For security reasons, it is imperative that you run the server over HTTPS. Running an openid sync server over plain HTTP can be a serious security risk.'),
    '#default_value' => variable_get('openid_sync_client_url_of_server', ''),
    '#size' => 70,
    '#required' => TRUE,
  );

  return system_settings_form($form);
}